Subject: Re: /dev/vme Permissions for users other than root...

From: Wolfgang Grandegger <[email-masked]>
Date: Wed, 23 Jan 2002 19:43:13 +0100

Hi JoAnna,

I think the following code fragments in the ioctl function of the VME driver
simply prevent normal users from doing "bad" things:

                /* Is this the right capability to use ? Everybody seems
to use
                 * CAPS_SYS_ADMIN as a default to replace suser().
                 */
                error = -EPERM;
                if (!capable(CAP_SYS_ADMIN)) break;

Hope it helps,

Wolfgang.

[email-masked] wrote:

>(disregard prior email; subject was not included)
>
>Greetings,
>
>We are using Linux version 2.2.12 with Gabriel Paubert's patches for the
>Motorola MVME2600 platform.   I have
>my application working opening /dev/vme and then doing ioctl calls to set
>the attributes.  It works
>fine only when I am root.  When another user tries to run the application,
>the ioctl (not the open) fails.
>I have changed the permissions of /dev/vme to rw for all (ugo) and have
>even gone as far as
>changing ownership and group to the user's instead of root, but to no
>avail.  The permissions
>of /dev/vme are crwxrwxrwx.  I realize the execute (x) permission is
>ineffective, but I'm trying everything.
>
>Do you have any ideas of what to try?
>
>Thanks for any help you can provide,
>
>JoAnna Weyer
>
>
>
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/